Agreements - Create Or Update

Creates or updates an integration account agreement.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/agreements/{agreementName}?api-version=2016-06-01

URI Parameters

Name In Required Type Description
agreementName
path True
  • string

The integration account agreement name.

integrationAccountName
path True
  • string

The integration account name.

resourceGroupName
path True
  • string

The resource group name.

subscriptionId
path True
  • string

The subscription id.

api-version
query True
  • string

The API version.

Request Body

Name Required Type Description
properties.agreementType True

The agreement type.

properties.content True

The agreement content.

properties.guestIdentity True

The business identity of the guest partner.

properties.guestPartner True
  • string

The integration account partner that is set as guest partner for this agreement.

properties.hostIdentity True

The business identity of the host partner.

properties.hostPartner True
  • string

The integration account partner that is set as host partner for this agreement.

location
  • string

The resource location.

properties.metadata

The metadata.

tags
  • object

The resource tags.

Responses

Name Type Description
200 OK

OK

201 Created

Created

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create or update an agreement

Sample Request

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/agreements/testAgreement?api-version=2016-06-01

{
  "properties": {
    "metadata": {},
    "agreementType": "AS2",
    "hostPartner": "HostPartner",
    "guestPartner": "GuestPartner",
    "hostIdentity": {
      "qualifier": "ZZ",
      "value": "ZZ"
    },
    "guestIdentity": {
      "qualifier": "AA",
      "value": "AA"
    },
    "content": {
      "aS2": {
        "receiveAgreement": {
          "protocolSettings": {
            "messageConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "acknowledgementConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "mdnSettings": {
              "needMdn": true,
              "signMdn": true,
              "sendMdnAsynchronously": true,
              "receiptDeliveryUrl": "http://tempuri.org",
              "dispositionNotificationTo": "http://tempuri.org",
              "signOutboundMdnIfOptional": true,
              "mdnText": "Sample",
              "sendInboundMdnToMessageBox": true,
              "micHashingAlgorithm": "SHA1"
            },
            "securitySettings": {
              "overrideGroupSigningCertificate": false,
              "enableNrrForInboundEncodedMessages": true,
              "enableNrrForInboundDecodedMessages": true,
              "enableNrrForOutboundMdn": true,
              "enableNrrForOutboundEncodedMessages": true,
              "enableNrrForOutboundDecodedMessages": true,
              "enableNrrForInboundMdn": true
            },
            "validationSettings": {
              "overrideMessageProperties": true,
              "encryptMessage": false,
              "signMessage": false,
              "compressMessage": true,
              "checkDuplicateMessage": true,
              "interchangeDuplicatesValidityDays": 100,
              "checkCertificateRevocationListOnSend": true,
              "checkCertificateRevocationListOnReceive": true,
              "encryptionAlgorithm": "AES128"
            },
            "envelopeSettings": {
              "messageContentType": "text/plain",
              "transmitFileNameInMimeHeader": true,
              "fileNameTemplate": "Test",
              "suspendMessageOnFileNameGenerationError": true,
              "autogenerateFileName": true
            },
            "errorSettings": {
              "suspendDuplicateMessage": true,
              "resendIfMdnNotReceived": true
            }
          },
          "senderBusinessIdentity": {
            "qualifier": "AA",
            "value": "AA"
          },
          "receiverBusinessIdentity": {
            "qualifier": "ZZ",
            "value": "ZZ"
          }
        },
        "sendAgreement": {
          "protocolSettings": {
            "messageConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "acknowledgementConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "mdnSettings": {
              "needMdn": true,
              "signMdn": true,
              "sendMdnAsynchronously": true,
              "receiptDeliveryUrl": "http://tempuri.org",
              "dispositionNotificationTo": "http://tempuri.org",
              "signOutboundMdnIfOptional": true,
              "mdnText": "Sample",
              "sendInboundMdnToMessageBox": true,
              "micHashingAlgorithm": "SHA1"
            },
            "securitySettings": {
              "overrideGroupSigningCertificate": false,
              "enableNrrForInboundEncodedMessages": true,
              "enableNrrForInboundDecodedMessages": true,
              "enableNrrForOutboundMdn": true,
              "enableNrrForOutboundEncodedMessages": true,
              "enableNrrForOutboundDecodedMessages": true,
              "enableNrrForInboundMdn": true
            },
            "validationSettings": {
              "overrideMessageProperties": true,
              "encryptMessage": false,
              "signMessage": false,
              "compressMessage": true,
              "checkDuplicateMessage": true,
              "interchangeDuplicatesValidityDays": 100,
              "checkCertificateRevocationListOnSend": true,
              "checkCertificateRevocationListOnReceive": true,
              "encryptionAlgorithm": "AES128"
            },
            "envelopeSettings": {
              "messageContentType": "text/plain",
              "transmitFileNameInMimeHeader": true,
              "fileNameTemplate": "Test",
              "suspendMessageOnFileNameGenerationError": true,
              "autogenerateFileName": true
            },
            "errorSettings": {
              "suspendDuplicateMessage": true,
              "resendIfMdnNotReceived": true
            }
          },
          "senderBusinessIdentity": {
            "qualifier": "ZZ",
            "value": "ZZ"
          },
          "receiverBusinessIdentity": {
            "qualifier": "AA",
            "value": "AA"
          }
        }
      }
    }
  },
  "location": "westus",
  "tags": {
    "IntegrationAccountAgreement": "<IntegrationAccountAgreementName>"
  }
}

Sample Response

{
  "properties": {
    "hostPartner": "HostPartner",
    "guestPartner": "GuestPartner",
    "hostIdentity": {
      "qualifier": "ZZ",
      "value": "ZZ"
    },
    "guestIdentity": {
      "qualifier": "AA",
      "value": "AA"
    },
    "agreementType": "AS2",
    "content": {
      "aS2": {
        "receiveAgreement": {
          "protocolSettings": {
            "messageConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "acknowledgementConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "mdnSettings": {
              "needMdn": true,
              "signMdn": true,
              "sendMdnAsynchronously": true,
              "receiptDeliveryUrl": "http://tempuri.org",
              "dispositionNotificationTo": "http://tempuri.org",
              "signOutboundMdnIfOptional": true,
              "mdnText": "Sample",
              "sendInboundMdnToMessageBox": true,
              "micHashingAlgorithm": "SHA1"
            },
            "securitySettings": {
              "overrideGroupSigningCertificate": false,
              "enableNrrForInboundEncodedMessages": true,
              "enableNrrForInboundDecodedMessages": true,
              "enableNrrForOutboundMdn": true,
              "enableNrrForOutboundEncodedMessages": true,
              "enableNrrForOutboundDecodedMessages": true,
              "enableNrrForInboundMdn": true
            },
            "validationSettings": {
              "overrideMessageProperties": true,
              "encryptMessage": false,
              "signMessage": false,
              "compressMessage": true,
              "checkDuplicateMessage": true,
              "interchangeDuplicatesValidityDays": 100,
              "checkCertificateRevocationListOnSend": true,
              "checkCertificateRevocationListOnReceive": true,
              "encryptionAlgorithm": "AES128"
            },
            "envelopeSettings": {
              "messageContentType": "text/plain",
              "transmitFileNameInMimeHeader": true,
              "fileNameTemplate": "Test",
              "suspendMessageOnFileNameGenerationError": true,
              "autogenerateFileName": true
            },
            "errorSettings": {
              "suspendDuplicateMessage": true,
              "resendIfMdnNotReceived": true
            }
          },
          "senderBusinessIdentity": {
            "qualifier": "AA",
            "value": "AA"
          },
          "receiverBusinessIdentity": {
            "qualifier": "ZZ",
            "value": "ZZ"
          }
        },
        "sendAgreement": {
          "protocolSettings": {
            "messageConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "acknowledgementConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "mdnSettings": {
              "needMdn": true,
              "signMdn": true,
              "sendMdnAsynchronously": true,
              "receiptDeliveryUrl": "http://tempuri.org",
              "dispositionNotificationTo": "http://tempuri.org",
              "signOutboundMdnIfOptional": true,
              "mdnText": "Sample",
              "sendInboundMdnToMessageBox": true,
              "micHashingAlgorithm": "SHA1"
            },
            "securitySettings": {
              "overrideGroupSigningCertificate": false,
              "enableNrrForInboundEncodedMessages": true,
              "enableNrrForInboundDecodedMessages": true,
              "enableNrrForOutboundMdn": true,
              "enableNrrForOutboundEncodedMessages": true,
              "enableNrrForOutboundDecodedMessages": true,
              "enableNrrForInboundMdn": true
            },
            "validationSettings": {
              "overrideMessageProperties": true,
              "encryptMessage": false,
              "signMessage": false,
              "compressMessage": true,
              "checkDuplicateMessage": true,
              "interchangeDuplicatesValidityDays": 100,
              "checkCertificateRevocationListOnSend": true,
              "checkCertificateRevocationListOnReceive": true,
              "encryptionAlgorithm": "AES128"
            },
            "envelopeSettings": {
              "messageContentType": "text/plain",
              "transmitFileNameInMimeHeader": true,
              "fileNameTemplate": "Test",
              "suspendMessageOnFileNameGenerationError": true,
              "autogenerateFileName": true
            },
            "errorSettings": {
              "suspendDuplicateMessage": true,
              "resendIfMdnNotReceived": true
            }
          },
          "senderBusinessIdentity": {
            "qualifier": "ZZ",
            "value": "ZZ"
          },
          "receiverBusinessIdentity": {
            "qualifier": "AA",
            "value": "AA"
          }
        }
      }
    },
    "createdTime": "2017-03-06T22:32:54.2938748Z",
    "changedTime": "2017-03-06T22:32:54.2945291Z",
    "metadata": {}
  },
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/IntegrationAccount4533/agreements/<IntegrationAccountAgreementName>",
  "name": "<IntegrationAccountAgreementName>",
  "type": "Microsoft.Logic/integrationAccounts/agreements"
}
{
  "properties": {
    "hostPartner": "HostPartner",
    "guestPartner": "GuestPartner",
    "hostIdentity": {
      "qualifier": "ZZ",
      "value": "ZZ"
    },
    "guestIdentity": {
      "qualifier": "AA",
      "value": "AA"
    },
    "agreementType": "AS2",
    "content": {
      "aS2": {
        "receiveAgreement": {
          "protocolSettings": {
            "messageConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "acknowledgementConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "mdnSettings": {
              "needMdn": true,
              "signMdn": true,
              "sendMdnAsynchronously": true,
              "receiptDeliveryUrl": "http://tempuri.org",
              "dispositionNotificationTo": "http://tempuri.org",
              "signOutboundMdnIfOptional": true,
              "mdnText": "Sample",
              "sendInboundMdnToMessageBox": true,
              "micHashingAlgorithm": "SHA1"
            },
            "securitySettings": {
              "overrideGroupSigningCertificate": false,
              "enableNrrForInboundEncodedMessages": true,
              "enableNrrForInboundDecodedMessages": true,
              "enableNrrForOutboundMdn": true,
              "enableNrrForOutboundEncodedMessages": true,
              "enableNrrForOutboundDecodedMessages": true,
              "enableNrrForInboundMdn": true
            },
            "validationSettings": {
              "overrideMessageProperties": true,
              "encryptMessage": false,
              "signMessage": false,
              "compressMessage": true,
              "checkDuplicateMessage": true,
              "interchangeDuplicatesValidityDays": 100,
              "checkCertificateRevocationListOnSend": true,
              "checkCertificateRevocationListOnReceive": true,
              "encryptionAlgorithm": "AES128"
            },
            "envelopeSettings": {
              "messageContentType": "text/plain",
              "transmitFileNameInMimeHeader": true,
              "fileNameTemplate": "Test",
              "suspendMessageOnFileNameGenerationError": true,
              "autogenerateFileName": true
            },
            "errorSettings": {
              "suspendDuplicateMessage": true,
              "resendIfMdnNotReceived": true
            }
          },
          "senderBusinessIdentity": {
            "qualifier": "AA",
            "value": "AA"
          },
          "receiverBusinessIdentity": {
            "qualifier": "ZZ",
            "value": "ZZ"
          }
        },
        "sendAgreement": {
          "protocolSettings": {
            "messageConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "acknowledgementConnectionSettings": {
              "ignoreCertificateNameMismatch": true,
              "supportHttpStatusCodeContinue": true,
              "keepHttpConnectionAlive": true,
              "unfoldHttpHeaders": true
            },
            "mdnSettings": {
              "needMdn": true,
              "signMdn": true,
              "sendMdnAsynchronously": true,
              "receiptDeliveryUrl": "http://tempuri.org",
              "dispositionNotificationTo": "http://tempuri.org",
              "signOutboundMdnIfOptional": true,
              "mdnText": "Sample",
              "sendInboundMdnToMessageBox": true,
              "micHashingAlgorithm": "SHA1"
            },
            "securitySettings": {
              "overrideGroupSigningCertificate": false,
              "enableNrrForInboundEncodedMessages": true,
              "enableNrrForInboundDecodedMessages": true,
              "enableNrrForOutboundMdn": true,
              "enableNrrForOutboundEncodedMessages": true,
              "enableNrrForOutboundDecodedMessages": true,
              "enableNrrForInboundMdn": true
            },
            "validationSettings": {
              "overrideMessageProperties": true,
              "encryptMessage": false,
              "signMessage": false,
              "compressMessage": true,
              "checkDuplicateMessage": true,
              "interchangeDuplicatesValidityDays": 100,
              "checkCertificateRevocationListOnSend": true,
              "checkCertificateRevocationListOnReceive": true,
              "encryptionAlgorithm": "AES128"
            },
            "envelopeSettings": {
              "messageContentType": "text/plain",
              "transmitFileNameInMimeHeader": true,
              "fileNameTemplate": "Test",
              "suspendMessageOnFileNameGenerationError": true,
              "autogenerateFileName": true
            },
            "errorSettings": {
              "suspendDuplicateMessage": true,
              "resendIfMdnNotReceived": true
            }
          },
          "senderBusinessIdentity": {
            "qualifier": "ZZ",
            "value": "ZZ"
          },
          "receiverBusinessIdentity": {
            "qualifier": "AA",
            "value": "AA"
          }
        }
      }
    },
    "createdTime": "2017-03-06T22:32:54.2938748Z",
    "changedTime": "2017-03-06T22:32:54.2945291Z",
    "metadata": {}
  },
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/IntegrationAccount4533/agreements/<IntegrationAccountAgreementName>",
  "name": "<IntegrationAccountAgreementName>",
  "type": "Microsoft.Logic/integrationAccounts/agreements"
}

Definitions

AgreementContent

The integration account agreement content.

AgreementType
AS2AcknowledgementConnectionSettings

The AS2 agreement acknowledgement connection settings.

AS2AgreementContent

The integration account AS2 agreement content.

AS2EnvelopeSettings

The AS2 agreement envelope settings.

AS2ErrorSettings

The AS2 agreement error settings.

AS2MdnSettings

The AS2 agreement mdn settings.

AS2MessageConnectionSettings

The AS2 agreement message connection settings.

AS2OneWayAgreement

The integration account AS2 one-way agreement.

AS2ProtocolSettings

The AS2 agreement protocol settings.

AS2SecuritySettings

The AS2 agreement security settings.

AS2ValidationSettings

The AS2 agreement validation settings.

BusinessIdentity

The integration account partner's business identity.

EdifactAcknowledgementSettings

The Edifact agreement acknowledgement settings.

EdifactAgreementContent

The Edifact agreement content.

EdifactCharacterSet
EdifactDecimalIndicator
EdifactDelimiterOverride

The Edifact delimiter override settings.

EdifactEnvelopeOverride

The Edifact envelope override settings.

EdifactEnvelopeSettings

The Edifact agreement envelope settings.

EdifactFramingSettings

The Edifact agreement framing settings.

EdifactMessageFilter

The Edifact message filter for odata query.

EdifactMessageIdentifier

The Edifact message identifier.

EdifactOneWayAgreement

The Edifact one way agreement.

EdifactProcessingSettings

The Edifact agreement protocol settings.

EdifactProtocolSettings

The Edifact agreement protocol settings.

EdifactSchemaReference

The Edifact schema reference.

EdifactValidationOverride

The Edifact validation override settings.

EdifactValidationSettings

The Edifact agreement validation settings.

EncryptionAlgorithm
HashingAlgorithm
IntegrationAccountAgreement

The integration account agreement.

MessageFilterType
Metadata

The metadata.

SegmentTerminatorSuffix
SigningAlgorithm
TrailingSeparatorPolicy
UsageIndicator
X12AcknowledgementSettings

The X12 agreement acknowledgement settings.

X12AgreementContent

The X12 agreement content.

X12CharacterSet
X12DateFormat
X12DelimiterOverrides

The X12 delimiter override settings.

X12EnvelopeOverride

The X12 envelope override settings.

X12EnvelopeSettings

The X12 agreement envelope settings.

X12FramingSettings

The X12 agreement framing settings.

X12MessageFilter

The X12 message filter for odata query.

X12MessageIdentifier

The X12 message identifier.

X12OneWayAgreement

The X12 one-way agreement.

X12ProcessingSettings

The X12 processing settings.

X12ProtocolSettings

The X12 agreement protocol settings.

X12SchemaReference

The X12 schema reference.

X12SecuritySettings

The X12 agreement security settings.

X12TimeFormat
X12ValidationOverride

The X12 validation override settings.

X12ValidationSettings

The X12 agreement validation settings.

AgreementContent

The integration account agreement content.

Name Type Description
aS2

The AS2 agreement content.

edifact

The EDIFACT agreement content.

x12

The X12 agreement content.

AgreementType

Name Type Description
AS2
  • string
Edifact
  • string
NotSpecified
  • string
X12
  • string

AS2AcknowledgementConnectionSettings

The AS2 agreement acknowledgement connection settings.

Name Type Description
ignoreCertificateNameMismatch
  • boolean

The value indicating whether to ignore mismatch in certificate name.

keepHttpConnectionAlive
  • boolean

The value indicating whether to keep the connection alive.

supportHttpStatusCodeContinue
  • boolean

The value indicating whether to support HTTP status code 'CONTINUE'.

unfoldHttpHeaders
  • boolean

The value indicating whether to unfold the HTTP headers.

AS2AgreementContent

The integration account AS2 agreement content.

Name Type Description
receiveAgreement

The AS2 one-way receive agreement.

sendAgreement

The AS2 one-way send agreement.

AS2EnvelopeSettings

The AS2 agreement envelope settings.

Name Type Description
autogenerateFileName
  • boolean

The value indicating whether to auto generate file name.

fileNameTemplate
  • string

The template for file name.

messageContentType
  • string

The message content type.

suspendMessageOnFileNameGenerationError
  • boolean

The value indicating whether to suspend message on file name generation error.

transmitFileNameInMimeHeader
  • boolean

The value indicating whether to transmit file name in mime header.

AS2ErrorSettings

The AS2 agreement error settings.

Name Type Description
resendIfMdnNotReceived
  • boolean

The value indicating whether to resend message If MDN is not received.

suspendDuplicateMessage
  • boolean

The value indicating whether to suspend duplicate message.

AS2MdnSettings

The AS2 agreement mdn settings.

Name Type Description
dispositionNotificationTo
  • string

The disposition notification to header value.

mdnText
  • string

The MDN text.

micHashingAlgorithm

The signing or hashing algorithm.

needMdn
  • boolean

The value indicating whether to send or request a MDN.

receiptDeliveryUrl
  • string

The receipt delivery URL.

sendInboundMdnToMessageBox
  • boolean

The value indicating whether to send inbound MDN to message box.

sendMdnAsynchronously
  • boolean

The value indicating whether to send the asynchronous MDN.

signMdn
  • boolean

The value indicating whether the MDN needs to be signed or not.

signOutboundMdnIfOptional
  • boolean

The value indicating whether to sign the outbound MDN if optional.

AS2MessageConnectionSettings

The AS2 agreement message connection settings.

Name Type Description
ignoreCertificateNameMismatch
  • boolean

The value indicating whether to ignore mismatch in certificate name.

keepHttpConnectionAlive
  • boolean

The value indicating whether to keep the connection alive.

supportHttpStatusCodeContinue
  • boolean

The value indicating whether to support HTTP status code 'CONTINUE'.

unfoldHttpHeaders
  • boolean

The value indicating whether to unfold the HTTP headers.

AS2OneWayAgreement

The integration account AS2 one-way agreement.

Name Type Description
protocolSettings

The AS2 protocol settings.

receiverBusinessIdentity

The receiver business identity

senderBusinessIdentity

The sender business identity

AS2ProtocolSettings

The AS2 agreement protocol settings.

Name Type Description
acknowledgementConnectionSettings

The acknowledgement connection settings.

envelopeSettings

The envelope settings.

errorSettings

The error settings.

mdnSettings

The MDN settings.

messageConnectionSettings

The message connection settings.

securitySettings

The security settings.

validationSettings

The validation settings.

AS2SecuritySettings

The AS2 agreement security settings.

Name Type Description
enableNrrForInboundDecodedMessages
  • boolean

The value indicating whether to enable NRR for inbound decoded messages.

enableNrrForInboundEncodedMessages
  • boolean

The value indicating whether to enable NRR for inbound encoded messages.

enableNrrForInboundMdn
  • boolean

The value indicating whether to enable NRR for inbound MDN.

enableNrrForOutboundDecodedMessages
  • boolean

The value indicating whether to enable NRR for outbound decoded messages.

enableNrrForOutboundEncodedMessages
  • boolean

The value indicating whether to enable NRR for outbound encoded messages.

enableNrrForOutboundMdn
  • boolean

The value indicating whether to enable NRR for outbound MDN.

encryptionCertificateName
  • string

The name of the encryption certificate.

overrideGroupSigningCertificate
  • boolean

The value indicating whether to send or request a MDN.

sha2AlgorithmFormat
  • string

The Sha2 algorithm format. Valid values are Sha2, ShaHashSize, ShaHyphenHashSize, Sha2UnderscoreHashSize.

signingCertificateName
  • string

The name of the signing certificate.

AS2ValidationSettings

The AS2 agreement validation settings.

Name Type Description
checkCertificateRevocationListOnReceive
  • boolean

The value indicating whether to check for certificate revocation list on receive.

checkCertificateRevocationListOnSend
  • boolean

The value indicating whether to check for certificate revocation list on send.

checkDuplicateMessage
  • boolean

The value indicating whether to check for duplicate message.

compressMessage
  • boolean

The value indicating whether the message has to be compressed.

encryptMessage
  • boolean

The value indicating whether the message has to be encrypted.

encryptionAlgorithm

The encryption algorithm.

interchangeDuplicatesValidityDays
  • integer

The number of days to look back for duplicate interchange.

overrideMessageProperties
  • boolean

The value indicating whether to override incoming message properties with those in agreement.

signMessage
  • boolean

The value indicating whether the message has to be signed.

signingAlgorithm

The signing algorithm.

BusinessIdentity

The integration account partner's business identity.

Name Type Description
qualifier
  • string

The business identity qualifier e.g. as2identity, ZZ, ZZZ, 31, 32

value
  • string

The user defined business identity value.

EdifactAcknowledgementSettings

The Edifact agreement acknowledgement settings.

Name Type Description
acknowledgementControlNumberLowerBound
  • integer

The acknowledgement control number lower bound.

acknowledgementControlNumberPrefix
  • string

The acknowledgement control number prefix.

acknowledgementControlNumberSuffix
  • string

The acknowledgement control number suffix.

acknowledgementControlNumberUpperBound
  • integer

The acknowledgement control number upper bound.

batchFunctionalAcknowledgements
  • boolean

The value indicating whether to batch functional acknowledgements.

batchTechnicalAcknowledgements
  • boolean

The value indicating whether to batch the technical acknowledgements.

needFunctionalAcknowledgement
  • boolean

The value indicating whether functional acknowledgement is needed.

needLoopForValidMessages
  • boolean

The value indicating whether a loop is needed for valid messages.

needTechnicalAcknowledgement
  • boolean

The value indicating whether technical acknowledgement is needed.

rolloverAcknowledgementControlNumber
  • boolean

The value indicating whether to rollover acknowledgement control number.

sendSynchronousAcknowledgement
  • boolean

The value indicating whether to send synchronous acknowledgement.

EdifactAgreementContent

The Edifact agreement content.

Name Type Description
receiveAgreement

The EDIFACT one-way receive agreement.

sendAgreement

The EDIFACT one-way send agreement.

EdifactCharacterSet

Name Type Description
KECA
  • string
NotSpecified
  • string
UNOA
  • string
UNOB
  • string
UNOC
  • string
UNOD
  • string
UNOE
  • string
UNOF
  • string
UNOG
  • string
UNOH
  • string
UNOI
  • string
UNOJ
  • string
UNOK
  • string
UNOX
  • string
UNOY
  • string

EdifactDecimalIndicator

Name Type Description
Comma
  • string
Decimal
  • string
NotSpecified
  • string

EdifactDelimiterOverride

The Edifact delimiter override settings.

Name Type Description
componentSeparator
  • integer

The component separator.

dataElementSeparator
  • integer

The data element separator.

decimalPointIndicator

The decimal point indicator.

messageAssociationAssignedCode
  • string

The message association assigned code.

messageId
  • string

The message id.

messageRelease
  • string

The message release.

messageVersion
  • string

The message version.

releaseIndicator
  • integer

The release indicator.

repetitionSeparator
  • integer

The repetition separator.

segmentTerminator
  • integer

The segment terminator.

segmentTerminatorSuffix

The segment terminator suffix.

targetNamespace
  • string

The target namespace on which this delimiter settings has to be applied.

EdifactEnvelopeOverride

The Edifact envelope override settings.

Name Type Description
applicationPassword
  • string

The application password.

associationAssignedCode
  • string

The association assigned code.

controllingAgencyCode
  • string

The controlling agency code.

functionalGroupId
  • string

The functional group id.

groupHeaderMessageRelease
  • string

The group header message release.

groupHeaderMessageVersion
  • string

The group header message version.

messageAssociationAssignedCode
  • string

The message association assigned code.

messageId
  • string

The message id on which this envelope settings has to be applied.

messageRelease
  • string

The message release version on which this envelope settings has to be applied.

messageVersion
  • string

The message version on which this envelope settings has to be applied.

receiverApplicationId
  • string

The receiver application id.

receiverApplicationQualifier
  • string

The receiver application qualifier.

senderApplicationId
  • string

The sender application id.

senderApplicationQualifier
  • string

The sender application qualifier.

targetNamespace
  • string

The target namespace on which this envelope settings has to be applied.

EdifactEnvelopeSettings

The Edifact agreement envelope settings.

Name Type Description
applicationReferenceId
  • string

The application reference id.

applyDelimiterStringAdvice
  • boolean

The value indicating whether to apply delimiter string advice.

communicationAgreementId
  • string

The communication agreement id.

createGroupingSegments
  • boolean

The value indicating whether to create grouping segments.

enableDefaultGroupHeaders
  • boolean

The value indicating whether to enable default group headers.

functionalGroupId
  • string

The functional group id.

groupApplicationPassword
  • string

The group application password.

groupApplicationReceiverId
  • string

The group application receiver id.

groupApplicationReceiverQualifier
  • string

The group application receiver qualifier.

groupApplicationSenderId
  • string

The group application sender id.

groupApplicationSenderQualifier
  • string

The group application sender qualifier.

groupAssociationAssignedCode
  • string

The group association assigned code.

groupControlNumberLowerBound
  • integer

The group control number lower bound.

groupControlNumberPrefix
  • string

The group control number prefix.

groupControlNumberSuffix
  • string

The group control number suffix.

groupControlNumberUpperBound
  • integer

The group control number upper bound.

groupControllingAgencyCode
  • string

The group controlling agency code.

groupMessageRelease
  • string

The group message release.

groupMessageVersion
  • string

The group message version.

interchangeControlNumberLowerBound
  • integer

The interchange control number lower bound.

interchangeControlNumberPrefix
  • string

The interchange control number prefix.

interchangeControlNumberSuffix
  • string

The interchange control number suffix.

interchangeControlNumberUpperBound
  • integer

The interchange control number upper bound.

isTestInterchange
  • boolean

The value indicating whether the message is a test interchange.

overwriteExistingTransactionSetControlNumber
  • boolean

The value indicating whether to overwrite existing transaction set control number.

processingPriorityCode
  • string

The processing priority code.

receiverInternalIdentification
  • string

The receiver internal identification.

receiverInternalSubIdentification
  • string

The receiver internal sub identification.

receiverReverseRoutingAddress
  • string

The receiver reverse routing address.

recipientReferencePasswordQualifier
  • string

The recipient reference password qualifier.

recipientReferencePasswordValue
  • string

The recipient reference password value.

rolloverGroupControlNumber
  • boolean

The value indicating whether to rollover group control number.

rolloverInterchangeControlNumber
  • boolean

The value indicating whether to rollover interchange control number.

rolloverTransactionSetControlNumber
  • boolean

The value indicating whether to rollover transaction set control number.

senderInternalIdentification
  • string

The sender internal identification.

senderInternalSubIdentification
  • string

The sender internal sub identification.

senderReverseRoutingAddress
  • string

The sender reverse routing address.

transactionSetControlNumberLowerBound
  • integer

The transaction set control number lower bound.

transactionSetControlNumberPrefix
  • string

The transaction set control number prefix.

transactionSetControlNumberSuffix
  • string

The transaction set control number suffix.

transactionSetControlNumberUpperBound
  • integer

The transaction set control number upper bound.

EdifactFramingSettings

The Edifact agreement framing settings.

Name Type Description
characterEncoding
  • string

The character encoding.

characterSet

The EDIFACT frame setting characterSet.

componentSeparator
  • integer

The component separator.

dataElementSeparator
  • integer

The data element separator.

decimalPointIndicator

The EDIFACT frame setting decimal indicator.

protocolVersion
  • integer

The protocol version.

releaseIndicator
  • integer

The release indicator.

repetitionSeparator
  • integer

The repetition separator.

segmentTerminator
  • integer

The segment terminator.

segmentTerminatorSuffix

The EDIFACT frame setting segment terminator suffix.

serviceCodeListDirectoryVersion
  • string

The service code list directory version.

EdifactMessageFilter

The Edifact message filter for odata query.

Name Type Description
messageFilterType

The message filter type.

EdifactMessageIdentifier

The Edifact message identifier.

Name Type Description
messageId
  • string

The message id on which this envelope settings has to be applied.

EdifactOneWayAgreement

The Edifact one way agreement.

Name Type Description
protocolSettings

The EDIFACT protocol settings.

receiverBusinessIdentity

The receiver business identity

senderBusinessIdentity

The sender business identity

EdifactProcessingSettings

The Edifact agreement protocol settings.

Name Type Description
createEmptyXmlTagsForTrailingSeparators
  • boolean

The value indicating whether to create empty xml tags for trailing separators.

maskSecurityInfo
  • boolean

The value indicating whether to mask security information.

preserveInterchange
  • boolean

The value indicating whether to preserve interchange.

suspendInterchangeOnError
  • boolean

The value indicating whether to suspend interchange on error.

useDotAsDecimalSeparator
  • boolean

The value indicating whether to use dot as decimal separator.

EdifactProtocolSettings

The Edifact agreement protocol settings.

Name Type Description
acknowledgementSettings

The EDIFACT acknowledgement settings.

edifactDelimiterOverrides

The EDIFACT delimiter override settings.

envelopeOverrides

The EDIFACT envelope override settings.

envelopeSettings

The EDIFACT envelope settings.

framingSettings

The EDIFACT framing settings.

messageFilter

The EDIFACT message filter.

messageFilterList

The EDIFACT message filter list.

processingSettings

The EDIFACT processing Settings.

schemaReferences

The EDIFACT schema references.

validationOverrides

The EDIFACT validation override settings.

validationSettings

The EDIFACT validation settings.

EdifactSchemaReference

The Edifact schema reference.

Name Type Description
associationAssignedCode
  • string

The association assigned code.

messageId
  • string

The message id.

messageRelease
  • string

The message release version.

messageVersion
  • string

The message version.

schemaName
  • string

The schema name.

senderApplicationId
  • string

The sender application id.

senderApplicationQualifier
  • string

The sender application qualifier.

EdifactValidationOverride

The Edifact validation override settings.

Name Type Description
allowLeadingAndTrailingSpacesAndZeroes
  • boolean

The value indicating whether to allow leading and trailing spaces and zeroes.

enforceCharacterSet
  • boolean

The value indicating whether to validate character Set.

messageId
  • string

The message id on which the validation settings has to be applied.

trailingSeparatorPolicy

The trailing separator policy.

trimLeadingAndTrailingSpacesAndZeroes
  • boolean

The value indicating whether to trim leading and trailing spaces and zeroes.

validateEdiTypes
  • boolean

The value indicating whether to validate EDI types.

validateXsdTypes
  • boolean

The value indicating whether to validate XSD types.

EdifactValidationSettings

The Edifact agreement validation settings.

Name Type Description
allowLeadingAndTrailingSpacesAndZeroes
  • boolean

The value indicating whether to allow leading and trailing spaces and zeroes.

checkDuplicateGroupControlNumber
  • boolean

The value indicating whether to check for duplicate group control number.

checkDuplicateInterchangeControlNumber
  • boolean

The value indicating whether to check for duplicate interchange control number.

checkDuplicateTransactionSetControlNumber
  • boolean

The value indicating whether to check for duplicate transaction set control number.

interchangeControlNumberValidityDays
  • integer

The validity period of interchange control number.

trailingSeparatorPolicy

The trailing separator policy.

trimLeadingAndTrailingSpacesAndZeroes
  • boolean

The value indicating whether to trim leading and trailing spaces and zeroes.

validateCharacterSet
  • boolean

The value indicating whether to validate character set in the message.

validateEdiTypes
  • boolean

The value indicating whether to Whether to validate EDI types.

validateXsdTypes
  • boolean

The value indicating whether to Whether to validate XSD types.

EncryptionAlgorithm

Name Type Description
AES128
  • string
AES192
  • string
AES256
  • string
DES3
  • string
None
  • string
NotSpecified
  • string
RC2
  • string

HashingAlgorithm

Name Type Description
MD5
  • string
None
  • string
NotSpecified
  • string
SHA1
  • string
SHA2256
  • string
SHA2384
  • string
SHA2512
  • string

IntegrationAccountAgreement

The integration account agreement.

Name Type Description
id
  • string

The resource id.

location
  • string

The resource location.

name
  • string

Gets the resource name.

properties.agreementType

The agreement type.

properties.changedTime
  • string

The changed time.

properties.content

The agreement content.

properties.createdTime
  • string

The created time.

properties.guestIdentity

The business identity of the guest partner.

properties.guestPartner
  • string

The integration account partner that is set as guest partner for this agreement.

properties.hostIdentity

The business identity of the host partner.

properties.hostPartner
  • string

The integration account partner that is set as host partner for this agreement.

properties.metadata

The metadata.

tags
  • object

The resource tags.

type
  • string

Gets the resource type.

MessageFilterType

Name Type Description
Exclude
  • string
Include
  • string
NotSpecified
  • string

Metadata

The metadata.

SegmentTerminatorSuffix

Name Type Description
CR
  • string
CRLF
  • string
LF
  • string
None
  • string
NotSpecified
  • string

SigningAlgorithm

Name Type Description
Default
  • string
NotSpecified
  • string
SHA1
  • string
SHA2256
  • string
SHA2384
  • string
SHA2512
  • string

TrailingSeparatorPolicy

Name Type Description
Mandatory
  • string
NotAllowed
  • string
NotSpecified
  • string
Optional
  • string

UsageIndicator

Name Type Description
Information
  • string
NotSpecified
  • string
Production
  • string
Test
  • string

X12AcknowledgementSettings

The X12 agreement acknowledgement settings.

Name Type Description
acknowledgementControlNumberLowerBound
  • integer

The acknowledgement control number lower bound.

acknowledgementControlNumberPrefix
  • string

The acknowledgement control number prefix.

acknowledgementControlNumberSuffix
  • string

The acknowledgement control number suffix.

acknowledgementControlNumberUpperBound
  • integer

The acknowledgement control number upper bound.

batchFunctionalAcknowledgements
  • boolean

The value indicating whether to batch functional acknowledgements.

batchImplementationAcknowledgements
  • boolean

The value indicating whether to batch implementation acknowledgements.

batchTechnicalAcknowledgements
  • boolean

The value indicating whether to batch the technical acknowledgements.

functionalAcknowledgementVersion
  • string

The functional acknowledgement version.

implementationAcknowledgementVersion
  • string

The implementation acknowledgement version.

needFunctionalAcknowledgement
  • boolean

The value indicating whether functional acknowledgement is needed.

needImplementationAcknowledgement
  • boolean

The value indicating whether implementation acknowledgement is needed.

needLoopForValidMessages
  • boolean

The value indicating whether a loop is needed for valid messages.

needTechnicalAcknowledgement
  • boolean

The value indicating whether technical acknowledgement is needed.

rolloverAcknowledgementControlNumber
  • boolean

The value indicating whether to rollover acknowledgement control number.

sendSynchronousAcknowledgement
  • boolean

The value indicating whether to send synchronous acknowledgement.

X12AgreementContent

The X12 agreement content.

Name Type Description
receiveAgreement

The X12 one-way receive agreement.

sendAgreement

The X12 one-way send agreement.

X12CharacterSet

Name Type Description
Basic
  • string
Extended
  • string
NotSpecified
  • string
UTF8
  • string

X12DateFormat

Name Type Description
CCYYMMDD
  • string
NotSpecified
  • string
YYMMDD
  • string

X12DelimiterOverrides

The X12 delimiter override settings.

Name Type Description
componentSeparator
  • integer

The component separator.

dataElementSeparator
  • integer

The data element separator.

messageId
  • string

The message id.

protocolVersion
  • string

The protocol version.

replaceCharacter
  • integer

The replacement character.

replaceSeparatorsInPayload
  • boolean

The value indicating whether to replace separators in payload.

segmentTerminator
  • integer

The segment terminator.

segmentTerminatorSuffix

The segment terminator suffix.

targetNamespace
  • string

The target namespace on which this delimiter settings has to be applied.

X12EnvelopeOverride

The X12 envelope override settings.

Name Type Description
dateFormat

The date format.

functionalIdentifierCode
  • string

The functional identifier code.

headerVersion
  • string

The header version.

messageId
  • string

The message id on which this envelope settings has to be applied.

protocolVersion
  • string

The protocol version on which this envelope settings has to be applied.

receiverApplicationId
  • string

The receiver application id.

responsibleAgencyCode
  • string

The responsible agency code.

senderApplicationId
  • string

The sender application id.

targetNamespace
  • string

The target namespace on which this envelope settings has to be applied.

timeFormat

The time format.

X12EnvelopeSettings

The X12 agreement envelope settings.

Name Type Description
controlStandardsId
  • integer

The controls standards id.

controlVersionNumber
  • string

The control version number.

enableDefaultGroupHeaders
  • boolean

The value indicating whether to enable default group headers.

functionalGroupId
  • string

The functional group id.

groupControlNumberLowerBound
  • integer

The group control number lower bound.

groupControlNumberUpperBound
  • integer

The group control number upper bound.

groupHeaderAgencyCode
  • string

The group header agency code.

groupHeaderDateFormat

The group header date format.

groupHeaderTimeFormat

The group header time format.

groupHeaderVersion
  • string

The group header version.

interchangeControlNumberLowerBound
  • integer

The interchange control number lower bound.

interchangeControlNumberUpperBound
  • integer

The interchange control number upper bound.

overwriteExistingTransactionSetControlNumber
  • boolean

The value indicating whether to overwrite existing transaction set control number.

receiverApplicationId
  • string

The receiver application id.

rolloverGroupControlNumber
  • boolean

The value indicating whether to rollover group control number.

rolloverInterchangeControlNumber
  • boolean

The value indicating whether to rollover interchange control number.

rolloverTransactionSetControlNumber
  • boolean

The value indicating whether to rollover transaction set control number.

senderApplicationId
  • string

The sender application id.

transactionSetControlNumberLowerBound
  • integer

The transaction set control number lower bound.

transactionSetControlNumberPrefix
  • string

The transaction set control number prefix.

transactionSetControlNumberSuffix
  • string

The transaction set control number suffix.

transactionSetControlNumberUpperBound
  • integer

The transaction set control number upper bound.

usageIndicator

The usage indicator.

useControlStandardsIdAsRepetitionCharacter
  • boolean

The value indicating whether to use control standards id as repetition character.

X12FramingSettings

The X12 agreement framing settings.

Name Type Description
characterSet

The X12 character set.

componentSeparator
  • integer

The component separator.

dataElementSeparator
  • integer

The data element separator.

replaceCharacter
  • integer

The replacement character.

replaceSeparatorsInPayload
  • boolean

The value indicating whether to replace separators in payload.

segmentTerminator
  • integer

The segment terminator.

segmentTerminatorSuffix

The segment terminator suffix.

X12MessageFilter

The X12 message filter for odata query.

Name Type Description
messageFilterType

The message filter type.

X12MessageIdentifier

The X12 message identifier.

Name Type Description
messageId
  • string

The message id.

X12OneWayAgreement

The X12 one-way agreement.

Name Type Description
protocolSettings

The X12 protocol settings.

receiverBusinessIdentity

The receiver business identity

senderBusinessIdentity

The sender business identity

X12ProcessingSettings

The X12 processing settings.

Name Type Description
convertImpliedDecimal
  • boolean

The value indicating whether to convert numerical type to implied decimal.

createEmptyXmlTagsForTrailingSeparators
  • boolean

The value indicating whether to create empty xml tags for trailing separators.

maskSecurityInfo
  • boolean

The value indicating whether to mask security information.

preserveInterchange
  • boolean

The value indicating whether to preserve interchange.

suspendInterchangeOnError
  • boolean

The value indicating whether to suspend interchange on error.

useDotAsDecimalSeparator
  • boolean

The value indicating whether to use dot as decimal separator.

X12ProtocolSettings

The X12 agreement protocol settings.

Name Type Description
acknowledgementSettings

The X12 acknowledgment settings.

envelopeOverrides

The X12 envelope override settings.

envelopeSettings

The X12 envelope settings.

framingSettings

The X12 framing settings.

messageFilter

The X12 message filter.

messageFilterList

The X12 message filter list.

processingSettings

The X12 processing settings.

schemaReferences

The X12 schema references.

securitySettings

The X12 security settings.

validationOverrides

The X12 validation override settings.

validationSettings

The X12 validation settings.

x12DelimiterOverrides

The X12 delimiter override settings.

X12SchemaReference

The X12 schema reference.

Name Type Description
messageId
  • string

The message id.

schemaName
  • string

The schema name.

schemaVersion
  • string

The schema version.

senderApplicationId
  • string

The sender application id.

X12SecuritySettings

The X12 agreement security settings.

Name Type Description
authorizationQualifier
  • string

The authorization qualifier.

authorizationValue
  • string

The authorization value.

passwordValue
  • string

The password value.

securityQualifier
  • string

The security qualifier.

X12TimeFormat

Name Type Description
HHMM
  • string
HHMMSS
  • string
HHMMSSd
  • string
HHMMSSdd
  • string
NotSpecified
  • string

X12ValidationOverride

The X12 validation override settings.

Name Type Description
allowLeadingAndTrailingSpacesAndZeroes
  • boolean

The value indicating whether to allow leading and trailing spaces and zeroes.

messageId
  • string

The message id on which the validation settings has to be applied.

trailingSeparatorPolicy

The trailing separator policy.

trimLeadingAndTrailingSpacesAndZeroes
  • boolean

The value indicating whether to trim leading and trailing spaces and zeroes.

validateCharacterSet
  • boolean

The value indicating whether to validate character Set.

validateEdiTypes
  • boolean

The value indicating whether to validate EDI types.

validateXsdTypes
  • boolean

The value indicating whether to validate XSD types.

X12ValidationSettings

The X12 agreement validation settings.

Name Type Description
allowLeadingAndTrailingSpacesAndZeroes
  • boolean

The value indicating whether to allow leading and trailing spaces and zeroes.

checkDuplicateGroupControlNumber
  • boolean

The value indicating whether to check for duplicate group control number.

checkDuplicateInterchangeControlNumber
  • boolean

The value indicating whether to check for duplicate interchange control number.

checkDuplicateTransactionSetControlNumber
  • boolean

The value indicating whether to check for duplicate transaction set control number.

interchangeControlNumberValidityDays
  • integer

The validity period of interchange control number.

trailingSeparatorPolicy

The trailing separator policy.

trimLeadingAndTrailingSpacesAndZeroes
  • boolean

The value indicating whether to trim leading and trailing spaces and zeroes.

validateCharacterSet
  • boolean

The value indicating whether to validate character set in the message.

validateEdiTypes
  • boolean

The value indicating whether to Whether to validate EDI types.

validateXsdTypes
  • boolean

The value indicating whether to Whether to validate XSD types.